/*
*   Projet DMD-Clock Full RGB 
*   256 Couleurs - 128x32 Pixels
*   decembre 2017 - Par Christophe Girardot Aka Aganyte
*
*   Important : En cas de problème, chaque action renvoie une confirmation sur le port USB du PC
*   Elles sont consultables depuis un terminal à la vitesse de 9600 bauds.
*
*/

/* Include de l'OS mbed */
#include "mbed.h"

/* Include des librairies */
#include "configuration.h"
#include "SDFileSystemDMA.h"
#include "spi_device.h"
#include "Scrolling.h"
#include "Animation.h"
#include "Font.h"
#include "Clock.h"
#include "Dmd.h"
#include "SD.h"

/* Programme principal */
int main() 
{
    Timer_Refresh.start(); // Démarrer le timer d'affichage

    // Message de re-démarrage
    pc.printf("\n\n\n\n\n\n** REBOOT **\n\n\n\n\n");
    
    // Fonction de mise à l'heure, il faut démarrer la carte avec le doigt sur le bouton pour y acceder 
    // En bonus, affichage d'une mire de reglage pour les dev
    if (mybutton == 1)
    {
        Set_Clock(); // Regler l'heure
        Mire(); // Remplir la mémoire vidéo avec une mire
        //Brightness_level = 0;
        while(mybutton == 1)
                refresh();     
    }
    
    Intro                   ();      // Afficher l'intro pendant 5 secondes en rouge
    
    // Boucle de fonctionnement principal
    while(1) 
    {         
        Read_Next_Command(); // Effectuer la prochaine commande  
        if (mybutton == 1) 
            Scrolling(128,Pussy); // Image cachée si l'utilisateur appuis sur le bouton à ce moment
    }
}